package org.springblade.modules.service.impl;

import org.springblade.core.function.annotation.ServiceMethod;
import org.springblade.core.function.annotation.ServiceMethodBean;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.service.CCBBusiService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
@ServiceMethodBean(value = "ccb", desc = "建行")
public class CCBBusiServiceImpl implements CCBBusiService{

	@Transactional(readOnly = true)
	@ServiceMethod(method = "test",synchExpr="[1]",timeout=10*1000, desc = "订单结算")
	public String test(long timout,String name) {
		System.out.println("test>>>>"+name);
		return "aaa"+name;
	}
	public static void main(String[] args) {
		Object[] beans= {new User()};
		Object key= BeanUtil.getProperty(beans,"[0].a[0]");
		System.out.println(key.toString());
	}
	public static class User{
		private Integer[] a= {1,2};

		public Integer[] getA() {
			return a;
		}

		public void setA(Integer[] a) {
			this.a = a;
		}

	}
	@Override
	public void delete(String name) {
		System.out.println("delete>>>>"+name);

	}
	@Override
	public void updateUser(String name, String value) {
		System.out.println("updateUser>>>>"+name);
	}

}
